<?php if (is_active_sidebar('footer') || is_active_sidebar('footer_columns_three') || is_active_sidebar('footer_columns_tow') || is_active_sidebar('footer_columns_four')) { ?>
    <section class="first-footer">
        <h3 class="hide"><?php echo esc_html__('Footer', 'comdigex'); ?></h3>
        <div class="row">
            <section class="block">
                <?php
                if (comdigex_get_option('footer_column') == 'one_columns') {
                    $column_one = 12;
                    $column_tow = '';
                    $column_three = '';
                    $column_four = '';

                } elseif (comdigex_get_option('footer_column') == 'tow_a_columns') {
                    $column_one = 6;
                    $column_tow = 6;
                    $column_three = '';
                    $column_four = '';
                } elseif (comdigex_get_option('footer_column') == 'tow_b_columns') {
                    $column_one = 4;
                    $column_tow = 8;
                    $column_three = '';
                    $column_four = '';
                } elseif (comdigex_get_option('footer_column') == 'tow_c_columns') {
                    $column_one = 8;
                    $column_tow = 4;
                    $column_three = '';
                    $column_four = '';

                } elseif (comdigex_get_option('footer_column') == 'three_columns') {
                    $column_one = 3;
                    $column_tow = 3;
                    $column_three = 6;
                    $column_four = '';
                } else {
                    $column_one = 3;
                    $column_tow = 3;
                    $column_three = 3;
                    $column_four = 3;
                }
                ?>
                <div class="large-<?php echo esc_attr($column_one) ?> medium-6 columns">
                    <?php dynamic_sidebar('footer') ?>
                </div>
                <?php if (comdigex_get_option('footer_column') == 'tow_a_columns' or comdigex_get_option('footer_column') == 'four_columns' or comdigex_get_option('footer_column') == 'three_columns' or comdigex_get_option('footer_column') == 'tow_b_columns' or comdigex_get_option('footer_column') == 'tow_c_columns') { ?>
                    <div class="large-<?php echo esc_attr($column_tow) ?> medium-6 columns">
                        <?php dynamic_sidebar('footer_columns_tow') ?>
                    </div>
                <?php } ?>

                <?php if (comdigex_get_option('footer_column') == 'three_columns' or comdigex_get_option('footer_column') == 'four_columns') { ?>
                    <div class="large-<?php echo esc_attr($column_three) ?> medium-6 columns">
                        <?php dynamic_sidebar('footer_columns_three') ?>
                    </div>
                <?php } ?>

                <?php if (comdigex_get_option('footer_column') == 'four_columns') { ?>
                    <div class="large-<?php echo esc_attr($column_four) ?> medium-6 columns">
                        <?php dynamic_sidebar('footer_columns_four') ?>
                    </div>
                <?php } ?>
            </section>
        </div>
    </section>
<?php } ?>

<footer class="second-footer">
    <div class="row">
        <div class="copyright medium-3 large-6 columns">
            <?php
            $comdigex_copyright = comdigex_get_option('copyright_text', '&copy; 2022 Comdigex All rights reserved. ');
            echo html_entity_decode(esc_html($comdigex_copyright)); ?>
        </div>
        <div class="footer-social-media medium-3 large-6 columns">
            <?php
            $socialmediaicon_arry = explode(' ', comdigex_get_option('social_icon'));
            $socialmedia_arry = explode(' ', comdigex_get_option('socialmedia_name'));
            if (!empty($socialmedia_arry[0])) {
                ?>
                <ul class="footer-social-media">
                    <?php
                    $i = 0;
                    foreach ($socialmedia_arry as $social_data) {
                        $i++;
                        ?>
                        <li class="">
                        <a href="<?php echo esc_url($social_data) ?>"><i
                                class="fab fa-<?php echo esc_attr($socialmediaicon_arry[$i - 1]) ?>"></i></a>
                        </li><?php
                    }
                    ?>
                </ul>
                <?php
            }
            ?>
        </div>
    </div>
</footer>
</div>
<?php
$menu_style = comdigex_get_option('menu_style');
if ($menu_style == "offcanvas") { ?>
    <a class="exit-off-canvas"></a>
<?php } ?>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>