<!doctype html>
<!--[if IE 9]>
<html class="lt-ie10" lang="en"> <![endif]-->
<html class="no-js" <?php language_attributes(); ?> >
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <?php if (!function_exists('has_site_icon')) {
        if (comdigex_get_option('wd_favicon', '') != '') { ?>
            <link rel="shortcut icon" href="<?php echo esc_url(comdigex_get_option('wd_favicon')); ?>"/>
        <?php }
    } ?>
    <?php wp_head() ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php if (comdigex_get_option('page_loading_animation') == 'on') { ?>
    <div class="page-loading">
        <div class="spinner">
            <div class="double-bounce1"></div>
            <div class="double-bounce2"></div>
        </div>
    </div>
<?php } ?>
<?php
$menu_style = comdigex_get_option('menu_style', 'creative');
if (comdigex_get_option('menu_mobile_layout') == 'offcanvas'):
    get_template_part('template-parts/mobile-off-canvas');
endif; ?>

<div id="spaces-main" class="pt-perspective <?php if (comdigex_get_option('boxed_layout') == 'on') {
    echo 'wd_wrapper';
} ?>">

    <header class="l-header creative-layout" data-sticky-container>
        <div
            class="top-bar-container <?php if (comdigex_get_option('stick_menu_to_top') != 'off') echo "sticky"; ?> ">
            <div class="<?php if (comdigex_get_option('header_contain_to_grid') == 'on') echo "row"; ?>">
                <div class="site-title-bar" <?php comdigex_title_bar_responsive_toggle(); ?> data-hide-for="large">
                    <div class="title-bar-left">
                        <button aria-label="<?php esc_attr__('Main Menu', 'comdigex'); ?>" class="menu-icon"
                                type="button"
                                data-toggle="<?php esc_attr(comdigex_mobile_menu_id()); ?>"></button>
                        <span
                            class="site-mobile-title title-bar-title logo"><?php comdigex_get_logo_and_title(); ?></span>
                    </div>
                </div>
                <nav class="site-navigation top-bar" role="navigation">
                    <div class="top-bar-left">
                        <div class="site-desktop-title top-bar-title">
                            <div
                                class="logo-wrapper <?php if (comdigex_get_option('show_website_title', '') == 'on') echo "title-displayed"; ?>"
                                data-dropdown-menu>
                                <div class="menu-text">
                                    <?php comdigex_get_logo_and_title(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="top-bar-right">
                        <?php

                            comdigex_top_bar_primary();
                            if (comdigex_get_option('menu_mobile_layout') !== 'offcanvas') {
                                get_template_part('template-parts/mobile-top-bar');
                            }

                        ?>
                    </div>
                </nav>
            </div>
        </div>
    </header>