<?php

/**
 *
 */
// get options value
if (!function_exists('comdigex_get_option')) {
    function comdigex_get_option($comdigex_option_key, $comdigex_option_default_value = null)
    {
        comdigex_base_class::initialize_options();
        $options_array = get_option("wd_options_array");
        // for demo purpose
        if (function_exists('wd_custom_options')) {
            $options_array = wd_custom_options($options_array);
        }
        $comdigex_meta_value = "";
        if (array_key_exists($comdigex_option_key, $options_array)) :
            if (isset($options_array[$comdigex_option_key]) && !empty($options_array[$comdigex_option_key])) {
                $comdigex_meta_value = esc_attr($options_array[$comdigex_option_key]);
            } else {
                $comdigex_meta_value = $comdigex_option_default_value;
            }
        endif;
        return $comdigex_meta_value;
    }
}

/**
 *
 */
// get options value
if (!function_exists('comdigex_save_option')) {
    function comdigex_save_option($comdigex_option_key, $comdigex_option_value = null)
    {
        $options_array = get_option("wd_options_array");
        $options_array[$comdigex_option_key] = $comdigex_option_value;
        update_option("wd_options_array", $options_array);
    }
}

/**
 *
 */
if (!function_exists('comdigex_get_categories')) {
    function comdigex_get_categories($taxonomy = '')
    {
        $args = array(
            'type' => 'post',
            'hide_empty' => 0
        );

        $output = array();

        $args['taxonomy'] = $taxonomy;
        $categories = get_categories($args);

        if (!empty($categories) && is_array($categories)) {
            foreach ($categories as $category) {
                if (is_object($category)) {
                    $output[$category->name] = $category->slug;
                }
            }
        }

        return $output;
    }
}

/**
 * @param $string
 * @return string
 */
function comdigex_removeslashes($string)
{
    $string = implode("", explode("\\", $string));

    return stripslashes(trim($string));
}

/**
 *
 */
function comdigex_get_logo_and_title()
{

    $comdigex_logo_path = get_template_directory_uri() . "/images/logo.png";
    if (comdigex_get_option('show_the_logo') == 'on' && !empty(comdigex_get_option('Logo_link'))) { ?>
        <?php $image = comdigex_get_option('Logo_link', $comdigex_logo_path); ?>
        <a href="<?php echo esc_url(home_url('/')); ?>" rel="home" title="<?php echo bloginfo('name') ?>"
           class="active"><img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr__('logo', 'comdigex') ?>"/></a>
    <?php } else { ?>
        <a class="site-title" href="<?php echo esc_url(home_url('/')); ?>"><h1><?php echo bloginfo('name') ?></h1>
        </a>
    <?php }

}


/**
 * Get mobile menu ID
 */

if (!function_exists('comdigex_mobile_menu_id')) :
    function comdigex_mobile_menu_id()
    {
        echo 'mobile-menu';
    }
endif;


/*-----------------add Body Classes------------------------------------------*/
function comdigex_body_classes($classes)
{
    if (comdigex_get_option('wd_box_wrapper') == 'on') {
        $classes[] = 'bg_body_color';
    }

    if (comdigex_get_option('page_loading_animation', 'off') != 'off') {
        $classes[] = 'page_loading_animation';
    }
    return $classes;
}

add_filter('body_class', 'comdigex_body_classes');

function comdigex_theme_add_editor_styles()
{
    add_editor_style('custom-editor-style.css');
}

add_action('admin_init', 'comdigex_theme_add_editor_styles');


