<?php
/**
 * Enqueue all styles and scripts
 *
 * Learn more about enqueue_script: {@link https://codex.wordpress.org/Function_Reference/wp_enqueue_script}
 * Learn more about enqueue_style: {@link https://codex.wordpress.org/Function_Reference/wp_enqueue_style }
 *
 * @package comdigex
 * @since comdigex 1.0.0
 */

function comdigex_load_js_css_file()
{

    /*----------google -fonts ------------------*/
    $comdigex_font_body_name = comdigex_get_option('body_font_family');
    $comdigex_font_weight_style = comdigex_get_option('body_font_to_load');
    $comdigex_main_text_font_subsets = comdigex_get_option('body_font_subsets');

    $font_header_name = comdigex_get_option('head_font_family','poppins');
    $comdigex_heading_font_weight_style = comdigex_get_option('head_font_to_load');
    $comdigex_heading_text_font_subsets = comdigex_get_option('head_font_subsets');

    $comdigex_navigation_font_familly = comdigex_get_option('nav_font_family');
    $comdigex_navigation_font_weight_style = comdigex_get_option('nav_font_to_load');
    $comdigex_navigation_text_font_subsets = comdigex_get_option('nav_font_subsets');

    $comdigex_font_weight_style = str_replace(" ", ",", "$comdigex_font_weight_style");
    $comdigex_heading_font_weight_style = str_replace(" ", ",", "$comdigex_heading_font_weight_style");
    $comdigex_navigation_font_weight_style = str_replace(" ", ",", "$comdigex_navigation_font_weight_style");


    $protocol = is_ssl() ? 'https' : 'http';
    if (is_rtl()) {
        wp_enqueue_style('comdigex-body-google-fonts', comdigex_fonts_url('Droid Arabic Kufi', '400,700', 'latin,latin-ext'), array(), '1.0.0');
    } elseif (!empty($comdigex_font_body_name)) {
        wp_enqueue_style('comdigex-body-google-fonts', comdigex_fonts_url($comdigex_font_body_name, $comdigex_font_weight_style, $comdigex_main_text_font_subsets), array(), '1.0.0');
    } else {
        wp_enqueue_style('comdigex-body-google-fonts', comdigex_fonts_url('Martel Sans', '300,400,600,700', 'latin,latin-ext'), array(), '1.0.0');
    }


    if ($font_header_name != "default" && $comdigex_heading_font_weight_style != "") {
        wp_enqueue_style('comdigex-header-google-fonts', comdigex_fonts_url($font_header_name, $comdigex_heading_font_weight_style, $comdigex_main_text_font_subsets), array(), '1.0.0');
    }

    if ($comdigex_navigation_font_familly != "default" && $comdigex_navigation_font_weight_style != "") {
        wp_enqueue_style('comdigex-navigation-google-fonts', comdigex_fonts_url($comdigex_navigation_font_familly, $comdigex_navigation_font_weight_style, $comdigex_navigation_text_font_subsets), array(), '1.0.0');
    }

    wp_enqueue_style('animation-custom', get_template_directory_uri() . "/css/vendor/animate-custom.css");
    wp_enqueue_style('foundation', get_template_directory_uri() . "/css/vendor/foundation.min.css");
    wp_enqueue_style('comdigex-app', get_template_directory_uri() . "/css/app.css");
    wp_enqueue_style('comdigex-style', get_template_directory_uri() . '/style.css');
    wp_enqueue_style('slick', get_template_directory_uri() . "/css/vendor/slick.min.css");
    wp_enqueue_style('slick-theme', get_template_directory_uri() . "/css/vendor/slick-theme.min.css");
    wp_enqueue_style('lightbox', get_template_directory_uri() . "/css/vendor/lightbox.min.css");
    wp_enqueue_style('font-awesomee', get_template_directory_uri() . "/css/vendor/all.min.css");


    if (is_singular() && get_option('thread_comments'))
        wp_enqueue_script('comment-reply');


    $comdigex_map_key = comdigex_get_option('google_key_map');
    if ($comdigex_map_key != '') {
        wp_enqueue_script('comdigex-maps-googleapis', $protocol . "://maps.googleapis.com/maps/api/js?key=" . esc_url($comdigex_map_key) . "", array('jquery'), '4.4.2', false);
    }

    wp_enqueue_script('all-js', get_template_directory_uri() . "/js/wd-script.min.js", array('jquery', 'hoverIntent'), '1.0.0', true);

    include_once(get_template_directory() . '/inc/custom-style/custom-style.php');

    wp_add_inline_style('comdigex-style', $comdigex_custom_css);
    //*********/inline style***************/

}

add_action('wp_enqueue_scripts', 'comdigex_load_js_css_file');
