<?php
return array(
    array(
        "label" => esc_html__('Boxed Layout', 'comdigex'),
        "id" => "boxed_layout",
        "type" => "checkbox",
        "defaultValue" => WD_BOXED_LAYOUT,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The boxed layout has a padding around the main wrapper", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Menu style", 'comdigex'),
        "id" => "menu_style",
        "type" => "dropdown",
        "defaultValue" => array("creative" => "creative"),
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Collection of styles to customize the Menu", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Menu Mobile layout", 'comdigex'),
        "id" => "menu_mobile_layout",
        "type" => "checkbox",
        "defaultValue" => WD_MENU_MOBILE_LAYOUT,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Collection of styles to customize the mobile Menu", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Limit header width to grid layout", 'comdigex'),
        "id" => "header_contain_to_grid",
        "type" => "checkbox",
        "defaultValue" => WD_HEADER_CONTAIN_TO_GRID,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Make header in grid", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Stick the menu to Top", 'comdigex'),
        "id" => "stick_menu_to_top",
        "type" => "checkbox",
        "defaultValue" => WD_STICK_MENU_TO_TOP,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Fixed menu in top on scroll", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Page Loading Animation", 'comdigex'),
        "id" => "page_loading_animation",
        "type" => "checkbox",
        "defaultValue" => WD_PAGE_LOADING_ANIMATION,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Add page preloader animation ", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Call to Action Button", 'comdigex'),
        "id" => "action_button",
        "type" => "textarea",
        "defaultValue" => "",
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The content of call action button in header", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Body Background image", 'comdigex'),
        "id" => "body_background_image",
        "type" => "imgupload",
        "defaultValue" => "Body Background image",
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The main wrapper image, when we have a boxed layout", 'comdigex'),
    ),
    array(
        "label" => esc_html__("404 Background image", 'comdigex'),
        "id" => "wd_404_page",
        "type" => "imgupload",
        "defaultValue" => "404 Background image",
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The image of title bar page 404", 'comdigex'),
    ),
    array(
        "label" => esc_html__("404 Image", 'comdigex'),
        "id" => "wd_404_content_image",
        "type" => "imgupload",
        "defaultValue" => get_template_directory_uri() . "/images/lost.jpg",
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The image of content page 404", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Show the Logo", 'comdigex'),
        "id" => "show_the_logo",
        "type" => "checkbox",
        "defaultValue" => WD_SHOW_THE_LOGO,
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => ""
    ),
    array(
        "label" => esc_html__("Show Website Title", 'comdigex'),
        "id" => "show_website_title",
        "type" => "checkbox",
        "defaultValue" => WD_SHOW_WEBSITE_TITLE,
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => ""
    ),
    array(
        "label" => esc_html__("Logo link", 'comdigex'),
        "id" => "Logo_link",
        "type" => "imgupload",
        "defaultValue" => "Logo link",
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("The logo link using wordpress library", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Logo Height", 'comdigex'),
        "id" => "logo_height",
        "type" => "text",
        "defaultValue" => "Logo Height",
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("Fixed max height logo", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Logo Padding", 'comdigex'),
        "id" => "logo_padding",
        "type" => "text",
        "defaultValue" => WD_LOGO_HEIGHT,
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("add padding to logo ex: 10px 10px 10px 10px", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Google Key Map", 'comdigex'),
        "id" => "google_key_map",
        "type" => "text",
        "defaultValue" => "Google Key Map",
        "parentSection" => "General Settings",
        "group" => "Page Settings",
        "description" => esc_html__("Generate your key maps from google API and pasted here", 'comdigex'),
    ),
    array(
        "label" => esc_html__("Title Bar background image", 'comdigex'),
        "id" => "title_page_bg",
        "type" => "imgupload",
        "defaultValue" => "Default Title Bar background image",
        "parentSection" => "General Settings",
        "group" => "Page Settings",
        "description" => esc_html__("Change your default title bar using wordpress library", 'comdigex'),
    ),
);