<?php

global $vc_add_css_animation;
global $wd_fonts_array;

/* our client
---------------------------------------------------------- */
vc_map(array(
    "name" => esc_html__("Models Search", 'comdigex'),
    "base" => "comdigex_models",
    "icon" => get_template_directory_uri() . "/images/icon/meknes.png",
    "content_element" => true,
    "is_container" => true,
    "category" => 'Webdevia',
    "params" => array(
        array(
            "heading" => esc_html__("Title", 'comdigex'),
            "type" => "textfield",
            'value' => 'I am a title change me',
            "param_name" => "headings_title",
        ),
        array(
            "heading" => esc_html__("Alignment", 'comdigex'),
            "type" => "dropdown",
            "param_name" => "headings_alignment",
            "value" => array('Center' => "center",
                'Left' => "left",
                'Right' => "right"),
            "group" => "Title Typography"
        ),
        //////////// Title Typography
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Font Family", 'comdigex'),
            "param_name" => "comdigex_heading_font_family",
            'value' => $wd_fonts_array,
            "group" => "Title Typography",
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Font Style", 'comdigex'),
            "param_name" => "comdigex_heading_font_style",
            'value' => array(
                esc_html__('Normal', 'comdigex') => 'normal',
                esc_html__('Italic', 'comdigex') => 'italic',
                esc_html__('Inherit', 'comdigex') => 'inherit',
                esc_html__('Initial', 'comdigex') => 'initial',
            ),
            "group" => "Title Typography"
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Font Weight", 'comdigex'),
            "param_name" => "comdigex_heading_font_weight",
            'value' => array(
                esc_html__('Default', 'comdigex') => '400',
                '100' => '100',
                '200' => '200',
                '300' => '300',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
                '900' => '900',
            ),
            "group" => "Title Typography"
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Font Size", 'comdigex'),
            "param_name" => "comdigex_heading_font_size",
            "min" => 14,
            "suffix" => "px",
            "group" => "Title Typography",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Font Color", 'comdigex'),
            "param_name" => "comdigex_heading_color",
            "value" => "",
            "group" => "Title Typography",
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Text Transform", 'comdigex'),
            "param_name" => "comdigex_heading_text_transform",
            'value' => array(
                esc_html__('Default', 'comdigex') => 'None',
                'lowercase' => 'Lowercase',
                'uppercase' => 'Uppercase',
                'capitalize' => 'Capitalize',
                'inherit' => 'Inherit',
            ),
            "group" => "Title Typography"
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Line Height", 'comdigex'),
            "param_name" => "comdigex_heading_line_height",
            "value" => "",
            "suffix" => "px",
            "group" => "Title Typography"
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Letter spacing", 'comdigex'),
            "param_name" => "comdigex_heading_letter_spacing",
            "value" => "",
            "suffix" => "px",
            "group" => "Title Typography"
        ),

        // Button
        array(
            "type" => "textfield",
            "heading" => esc_html__("Button Text", 'comdigex'),
            "param_name" => "comdigex_button_text",
            "value" => "Click Me",
            "group" => "Button Typography",
        ),

        $vc_add_css_animation
    )
));