<?php
global $vc_add_css_animation;

vc_map(array(
    "name" => esc_html__("Text Block with Icon", 'comdigex'),
    "base" => "wd_icon_text",
    "icon" => get_template_directory_uri() . "/images/icon/meknes.png",
    "content_element" => true,
    "is_container" => true,
    "category" => 'Webdevia',
    "params" => array(
        array(
            "type" => "textfield", // it will bind a textfield in WP
            "heading" => esc_html__("Title", 'comdigex'),
            "param_name" => "title",
            "admin_label" => true,
        ),
        array(
            "type" => "vc_link", // it will bind a textfield in WP
            "heading" => esc_html__("Link", 'comdigex'),
            "param_name" => "box_link",
            "admin_label" => true,
        ),
        array(
            "type" => "textarea", // it will bind a textfield in WP
            "heading" => esc_html__("Text", 'comdigex'),
            "param_name" => "text",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("Title Color", 'comdigex'),
            "param_name" => "wd_title_color",
            'edit_field_class' => 'vc_col-xs-3',
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "heading" => esc_html__("SubTitle Color", 'comdigex'),
            "param_name" => "wd_subtitle_color",
            'edit_field_class' => 'vc_col-xs-3',
        ),
        array(
            "type" => "dropdown", // it will bind a textfield in WP
            "heading" => esc_html__("Box Shadow", 'comdigex'),
            "param_name" => "box_shadow",
            "value" => array(
                "Small" => "small-shadow",
                "Medium" => "medium-shadow",
                "Large" => "large-shadow",
                "None" => "none",
            ),
            'group' => __('Box style', 'comdigex'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => __('Css', 'comdigex'),
            'param_name' => 'css',
            'group' => __('Design options', 'comdigex'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Image type:', 'comdigex'),
            'param_name' => 'choice',
            'value' => array(
                'Icon' => 'icon_choice',
                'Image File (png, jpg, svg, gif)' => 'image_choice',
                'SVG Code' => 'svg_choice',
            ),
        ),
        array(
            "type" => "iconpicker", // it will bind a textfield in WP
            "heading" => esc_html__("Icon", 'comdigex'),
            "param_name" => "icon",

            "dependency" => Array("element" => "choice", "value" => array('icon_choice'))
        ),
        array(
            "type" => "colorpicker", // it will bind a textfield in WP
            "heading" => esc_html__("Icon Color", 'comdigex'),
            "param_name" => "icon_color",

            "dependency" => Array("element" => "choice", "value" => array('icon_choice'))
        ),
        array(
            "type" => "attach_image", // it will bind a textfield in WP
            "heading" => esc_html__("Image File", 'comdigex'),
            "param_name" => "image",
            "dependency" => Array("element" => "choice", "value" => array('image_choice'))
        ),
        array(
            "type" => "textfield", // it will bind a textfield in WP
            "heading" => esc_html__("Image width", 'comdigex'),
            "param_name" => "image_width",
            "dependency" => Array("element" => "choice", "value" => array('image_choice'))
        ),
        array(
            "type" => "textarea_raw_html", // it will bind a textfield in WP
            "heading" => esc_html__("SVG Code", 'comdigex'),
            "param_name" => "secondary_svg",

            "dependency" => Array("element" => "choice", "value" => array('svg_choice'))
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Icon / Image / SVG Position', 'comdigex'),
            'param_name' => 'position',
            'value' => array(
                'Left' => 'left_position',
                'Top' => 'top_position',
                'Right' => 'right_position',
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Text Align', 'comdigex'),
            'param_name' => 'text_align',
            'value' => array(
                'Center' => 'center',
                'left' => 'left',
                'Right' => 'right',
            ),
            "dependency" => Array("element" => "position", "value" => array('top_position'))
        ),

        $vc_add_css_animation
    )
));