<?php
get_header() ?>
    <section class="titlebar">
        <div class="row">
            <div>
                <h1 id="page-title" class="title"><?php the_title(); ?></h1>
            </div>
            <?php comdigex_breadcrumb(); ?>
        </div>
    </section>
    <!-- content  -->
    <main class="row">
        <div class="large-12 small-12 columns">
            <?php if (have_posts()) : ?>
                <?php while (have_posts()) : the_post(); ?>
                    <article class="single-portfolio">

                        <div class="large-6 columns">
                            <ul class="wd-gallery-images-holder clearfix wd-post__thumbnail--gallery">
                                <?php
                                $portfolio_image_gallery_val = get_post_meta(get_the_ID(), 'wd_portfolio-image-gallery', true);
                                if ($portfolio_image_gallery_val != '') $portfolio_image_gallery_array = explode(',', $portfolio_image_gallery_val);

                                if (isset($portfolio_image_gallery_array) && count($portfolio_image_gallery_array) != 0):
                                    foreach ($portfolio_image_gallery_array as $gimg_id):
                                        echo '<li class="wd-gallery-image-holder"><a class="portfolioex" href="' . wp_get_attachment_image_url($gimg_id, 'full') . '" data-lightbox="roadtrip" >' . wp_get_attachment_image($gimg_id, 'comdigex_single-sl-portfolio', false) . '</a></li>';
                                    endforeach;
                                endif;
                                ?>
                            </ul>
                        </div>
                        <div class="large-6 columns">
                            <div class="description">
                                <div>
                                    <h3>
                                        <?php echo esc_html__('Project Description', 'comdigex') ?>
                                    </h3>
                                </div>
                                <div>
                                    <?php the_content(); ?>
                                </div>
                            </div>

                            <div class="item-info">
                                <div>
                                    <h3>
                                        <?php echo esc_html__('Information', 'comdigex') ?>
                                    </h3>
                                </div>
                                <ul>
                                    <li>
                                        <span
                                            class="cat"><strong><?php echo esc_html__('Category: ', 'comdigex') ?></strong></span>
                                        <?php
                                        $terms = get_terms("projet");

                                        foreach ($terms as $term) {
                                            ?><span> <?php echo esc_attr($term->name); ?>, </span> <?php
                                        }
                                        ?>
                                    </li>
                                    <li>
                                        <span
                                            class="dat"><strong><?php echo esc_html__('Date: ', 'comdigex') ?></strong></span>
                                        <span><?php the_date(); ?></span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </article>
                <?php endwhile;
            endif; ?>
        </div>

    </main>
    <!-- /content  -->
<?php get_footer(); ?>